<bugID>720110<Summary>URL autocomplete breaks keyword bookmarks</Summary><Description>This is an edge case of the new URL autocomplete feature (see bug 659437, c0).

Steps to reproduce:
1) bookmark a page, e.g. facebook.com, and assign it a keywork, say "fb"
2) visit fbackup.com or any other url with domain name starting with "fb" to add it to your browsing history
3) type "fb" in the urlbar and hit ENTER

Expected results:
fb is recognized as a keyword, Firefox opens the associated bookmark, facebook.com

Actual results:
Firefox autocompletes the URL with fbackup.com and gets you there as you hit ENTER.


I think that keywords should have priority over URLs, since they are assigned by the user.</Description></bugID>